- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
LpBase::Col Class Reference

## Detailed Description

This type is used to refer to a column of the LP.

Its value remains valid and correct even after the addition or erase of other columns.

Note
  This class is similar to other Item types in LEMON, like Node and Arc types in digraph.

`#include <lemon/lp_base.h>`

Inheritance diagram for LpBase::Col:
[legend]

## Public Member Functions
| Col ()
| Default constructor. More...
| Col (const Invalid &)
| Invalid constructor & conversion. More...
bool | operator== (Col c) const
| Equality operator. More...
bool | operator!= (Col c) const
| Inequality operator. More...
bool | operator< (Col c) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

Col | ( |  | ) |
| inline

Warning
  The default constructor sets the Col to an undefined value.

Col | ( | const Invalid & |  | ) |
| inline

This constructor initializes the Col to be invalid.

See Also
  Invalid for more details.

## Member Function Documentation

bool operator== | ( | Col | c | ) | const
| inline

Two Cols are equal if and only if they point to the same LP column or both are invalid.

bool operator!= | ( | Col | c | ) | const
| inline

See Also
  operator==(Col c)

bool operator< | ( | Col | c | ) | const
| inline

To allow the use of this object in std::map or similar associative container we require this.

Note
  This operator only have to define some strict ordering of the items; this order has nothing to do with the iteration ordering of the items.